DROP VIEW(7)

NAME
DROP VIEW - remove a view

SYNOPSIS

DROP VIEW name [, ...]

  INPUTS

name
    The name of an existing view.

  OUTPUTS

DROP
    The message returned if the command is successful.

ERROR: view name does not exist
    This message occurs if the specified view does not exist in the database.

DESCRIPTION

DROP VIEW drops an existing view from the database. To execute this command you must be the owner of the view.

  NOTES

Refer to CREATE VIEW for information on how to create views.

USAGE

This command will remove the view called kinds:

DROP VIEW kinds;

COMPATIBILITY

  SQL92

SQL92 specifies some additional capabilities for DROP VIEW:

DROP VIEW view { RESTRICT | CASCADE }

  INPUTS

RESTRICT
    Ensures that only a view with no dependent views or integrity constraints can be destroyed.

CASCADE
    Any referencing views and integrity constraints will be dropped as well.

  NOTES

At present, to remove a referenced view from a PostgreSQL database, you must drop it explicitly.